require "import"
import "android.provider.Settings"
import "android.content.Context"
import "android.widget.Toast"
import "android.content.Intent"
import "android.view.accessibility.AccessibilityNodeInfo"

-- Obtém o contexto correto
local context = service or activity or Application:getContext()

-- Função para mostrar toast
local function anunciar(texto)
    Toast.makeText(context, texto, Toast.LENGTH_LONG).show()
end

-- Função para abrir as configurações de acessibilidade
local function openAccessibilitySettings()
    local intent = Intent(Settings.ACTION_ACCESSIBILITY_SETTINGS)
    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
    context.startActivity(intent)
    anunciar("Configurações de acessibilidade abertas")
end

-- Função para clicar no botão "TalkBack" inicial
local function clickTalkBackButton()
    openAccessibilitySettings()
    
    -- Reduzido de 2000ms para 1000ms (1 segundo)
    task(1000, function()
        if service.click({
            {"TalkBack$150"}
        }) then
            anunciar("Clicou em: TalkBack (primeira tela)")
        else
            anunciar("Não encontrou: TalkBack (primeira tela)")
        end
    end)
end

-- Função para clicar no segundo "TalkBack" e confirmar
local function toggleTalkBackState()
    -- Reduzido de 2000ms para 1000ms (1 segundo)
    task(1000, function()
        if service.click({
            {"TalkBack$150"}
        }) then
            anunciar("Clicou em: TalkBack (segunda tela)")
            -- Reduzido de 500ms para 300ms (0,3 segundo)
            task(300, function()
                if service.click({
                    {"Permitir$150"}
                }) then
                    anunciar("Clicou em Permitir, TalkBack será ativado")
                else
                    anunciar("Não encontrou Permitir")
                end
            end)
        else
            anunciar("Não encontrou: TalkBack (segunda tela)")
        end
    end)
end

-- Reduzido de 3000ms para 1500ms (1,5 segundo)
clickTalkBackButton()
task(1500, function()
    toggleTalkBackState()
end)

return true